Bug 717122 - Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (s-c-users)
Summary: Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1kAccounts
TreeView+ depends on / blocked
 
Reported: 2011-06-28 04:37 UTC by Miloslav Trmač
Modified: 2011-10-06 00:00 UTC (History)
1 user (show)

Fixed In Version: system-config-users-1.2.110-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-09 17:10:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miloslav Trmač 2011-06-28 04:37:34 UTC
Various code in system-config-users assumes that non-system user and group IDs start at a hard-coded value 500.  Please use [UG]ID_MIN from /etc/login.defs for this; we plan to change the boundary.

See attachment 510191 [details] for the proper way to parse /etc/login.defs.

Please let me know if you want me to prepare a complete patch.

Version-Release number of selected component (if applicable):
system-config-users-1.2.107-2.fc15

Comment 1 Nils Philippsen 2011-06-28 08:58:38 UTC
What values should s-c-users assume if these keys are absent from /etc/login.defs? 500 or 1000?

Comment 2 Miloslav Trmač 2011-06-28 17:02:42 UTC
1000 would be probably better, that's the value shadow-utils (the "owner" of /etc/login.defs) uses.  It doesn't really matter much AFAICS.

Comment 3 Fedora Update System 2011-08-13 13:08:40 UTC
system-config-users-1.2.108-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/system-config-users-1.2.108-1.fc16

Comment 4 Fedora Update System 2011-08-13 13:09:07 UTC
system-config-users-1.2.108-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-users-1.2.108-1.fc15

Comment 5 Fedora Update System 2011-08-13 13:09:24 UTC
system-config-users-1.2.108-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-users-1.2.108-1.fc14

Comment 6 Fedora Update System 2011-08-15 20:26:09 UTC
Package system-config-users-1.2.108-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-users-1.2.108-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-users-1.2.108-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-07 00:13:37 UTC
system-config-users-1.2.110-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-09 17:10:52 UTC
system-config-users-1.2.110-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-06 00:00:12 UTC
system-config-users-1.2.110-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.